PROCPS_PIDS_REF(3)

NAME
procps_pids_ref - Increment reference count for pids structure.

SYNOPSIS
#include <proc/procps.h>

int procps_pids_ref(struct pids_info *info);

Link with -lprocps.

DESCRIPTION
procps_pids_ref() Will increment the reference count for the pids_info structure that was created with procps_pids_new(3). The reference count is used by procps_pids_unref(3) to determine when to de-allocate memort used by this structure.

RETURN VALUE
The function returns the updated reference count on success and one of negative values below on failure.

-EINVAL
    One of the given parameters is incorrect.

VERSIONS
procps_pids_ref() first appeared in libproc-2 version 0.0.

SEE ALSO
libproc(3), procps_pids_new(3), procps_pids_unref(3), proc(5).